% Nise, N.S. 
% Control Systems Engineering, 6th ed. 
% John Wiley & Sons, Hoboken, NJ, 07030
%
% Control Systems Engineering Toolbox Version 6.0 
% Copyright  2011 by John Wiley & Sons, Inc.

% TryIt 10.3
% Use MATLAB, the Control System Toolbox, and the
% following statements to find the gain and phase 
% margins of G(s)H(s)=100/[(s+2)(s+4)(s+6)] using the
% Nyquist diagram.

'TryIt 10.3'
G=zpk([],[-2,-4,-6],100)
nyquist(G)

% After the Nyquist diagram appears:
% 1. Right-click in the graph area.
% 2. Select Characteristics.
% 3. Select All Stability Margins.
% 4. Let the mouse rest on the margin points
%    to read the gain and phase margins.