% Nise, N.S. 
% Control Systems Engineering, 6th ed. 
% John Wiley & Sons, Hoboken, NJ, 07030
%
% Control Systems Engineering Toolbox Version 6.0 
% Copyright  2011 by John Wiley & Sons, Inc.

% TryIt 10.6
% Use MATLAB, the Control System Toolbox, and the
% following statements to solve Skill-Assessment 
% Exercise 10.11. For each part of the problem let 
% d = the specified delay.

'TryIt 10.6'
G=zpk([],[0,-1],10)
d=3
[numGd,denGd]=pade...
    (d,12);
Gd=tf(numGd,denGd);
Ge=G*Gd;
bode(Ge)
grid on

% After the Bode diagrams appear:
% 1. Right-click in the graph area.
% 2. Select Characteristics.
% 3. Select All Stability Margins.
% 4. Let the mouse rest on the
%    margin point on the phase plot to read 
%    the phase margin.

% To remove multiples of 360 degrees from the phase plot
% run the following statements in the MATLAB Command Window:
%h=bodeplot(Ge)
%p=getoptions(h)
%p.phaseMatching='on'
%setoptions(h,p)