% Nise, N.S. 
% Control Systems Engineering, 6th ed. 
% John Wiley & Sons, Hoboken, NJ, 07030
%
% Control Systems Engineering Toolbox Version 6.0 
% Copyright  2011 by John Wiley & Sons, Inc.

% TryIt 5.1
% Use the following MATLAB and Control System Toolbox
% statements to find the closedloop transfer function 
% of the system in Example 5.2 if all Gi(s) = 1/(s + 1) and 
% all Hi(s) = 1/(s).

'TryIt 5.1'
G1=tf(1,[1 1]);
G2=G1;G3=G1;
H1=tf(1,[1 0]);
H2=H1;H3=H1;
System=append...
(G1,G2,G3,H1,H2,H3);
input=1;output=3;
Q=[1 -4 0 0 0
    2 1 -5 0 0
    3 2 1 -5 -6
    4 2 0 0 0
    5 2 0 0 0
    6 3 0 0 0];
T=connect(System,Q,...
input,output);
T=tf(T);T=minreal(T)
