% Nise, N.S. 
% Control Systems Engineering, 6th ed. 
% John Wiley & Sons, Hoboken, NJ, 07030
%
% Control Systems Engineering Toolbox Version 6.0 
% Copyright  2011 by John Wiley & Sons, Inc.
%
% (ch2p2): Polynomials in s can be represented as row vectors containing the 
% coefficients. Thus P1 = s^3 + 7s^2 -3s + 23 can be represented by the 
% vector shown below with elements separated by a space or comma. Bit 
% strings can be used to identify each section of this tutorial. 

'(ch2p2)'                           % Display label.
P1=[1 7 -3 23]                      % Store polynomial s^3 + 7s^2 -3s + 
                                    % 23 as P1 and display.                                      
